#include <bits/stdc++.h>

using namespace std;

int main()
{
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  
  int n, l;
  cin >> n >> l;
  
  int rez = -1;
  int hi = 0;
  for(int i = 0; i < n; i++)
  {
    cin >> hi;
    if(hi <= l)
    {
      rez = i + 1;
      cout << rez;
      return 0;
    }
  }
  
  cout << rez;
  
  return 0;
}